"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-310/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xff478eb5f760>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xff478eb5f7f0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xff478eb5f880>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xff478eb5f910>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xff478eb5f9a0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xff478eb5fa30>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xff478eb5fac0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xff478eb5fb50>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xff478eb5fbe0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xff478eb5fc70>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xff478eb5fd00>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xff478eb5fd90>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xff478eb5fe20>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xff478eb5feb0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xff478eb5ff40>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0040>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc00d0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0160>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc01f0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0280>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0310>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc03a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0430>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc04c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc05e0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0550>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0670>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0700>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0790>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0820>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc08b0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0940>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc09d0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0a60>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0af0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0b80>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0c10>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0ca0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0d30>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0dc0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0e50>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0ee0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc0f70>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1000>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1090>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1120>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc11b0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1240>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc12d0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1360>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc13f0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1480>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1510>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc15a0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1630>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc16c0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1750>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc17e0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1870>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1900>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1990>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1a20>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1ab0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1b40>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1bd0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1d80>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1c60>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1e10>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1ea0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1f30>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc1fc0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc2050>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc2170>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc20e0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc2200>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc2290>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc2320>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc2440>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc23b0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc24d0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc2560>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc25f0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc2680>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc2710>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xff478ebc27a0>)]
name: str = 'fr_HOCCN'
